models/Operaciones.php
<?php

namespace app\models;

use Yii;
use yii\base\Model;


class Operaciones extends Model
{
    public ?int $numero1 = null;
    public ?int $numero2 = null;
    public ?int $resultado = null;

    public function rules()
    {
        return [
            [['numero1', 'numero2',], 'required'],
            [['numero1', 'numero2', 'resultado'], 'number']
        ];
    }

    public function attributeLabels()
    {
        return [
            'numero1' => 'Número 1',
            'numero2' => 'Número 2',
        ];
    }

    public function sumar()
    {
        return $this->numero1 + $this->numero2;
    }

    public function restar()
    {
        return $this->numero1 - $this->numero2;
    }
    public function producto()
    {
        return $this->numero1 * $this->numero2;
    }

    public function division()
    {
        return $this->numero1 /     $this->numero2;
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::class,
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    public function actionSuma()
    {
        $model = new \app\models\Operaciones();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render('sumayresta', [
                    'model' => $model,
                    'c' => 0,
                ]);
            }
        }

        return $this->render('suma', [
            'model' => $model,
            'labelBoton' => 'Sumar',
        ]);
    }

    public function actionResta()
    {
        $model = new \app\models\Operaciones();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render('sumayresta', [
                    'model' => $model,
                    'c' => 1,
                ]);
            }
        }

        return $this->render('suma', [
            'model' => $model,
            'labelBoton' => 'Restar',
        ]);
    }

    public function actionProducto()
    {
        $model = new \app\models\Operaciones();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render('multiplicarydividir', [
                    'model' => $model,
                    'c' => 0,
                ]);
            }
        }

        return $this->render('multiplicar', [
            'model' => $model,
            'labelBoton' => 'Multiplicar'
        ]);
    }

    public function actionDivision()
    {
        $model = new \app\models\Operaciones();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render('multiplicarydividir', [
                    'model' => $model,
                    'c' => 1,
                ]);
            }
        }

        return $this->render('multiplicar', [
            'model' => $model,
            'labelBoton' => 'Dividir'
        ]);
    }
    public function actionOperaciones()
    {
        $model = new \app\models\Operaciones();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                return $this->render('operaciones', [
                    'model' => $model,
                ]);
            }
        }

        return $this->render('multiplicar', [
            'model' => $model,
            'labelBoton' => 'Calcular'
        ]);
    }
}

views/layouts/main.php
<?php

/** @var yii\web\View $this */
/** @var string $content */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap5\Breadcrumbs;
use yii\bootstrap5\Html;
use yii\bootstrap5\Nav;
use yii\bootstrap5\NavBar;

AppAsset::register($this);

$this->registerCsrfMetaTags();
$this->registerMetaTag(['charset' => Yii::$app->charset], 'charset');
$this->registerMetaTag(['name' => 'viewport', 'content' => 'width=device-width, initial-scale=1, shrink-to-fit=no']);
$this->registerMetaTag(['name' => 'description', 'content' => $this->params['meta_description'] ?? '']);
$this->registerMetaTag(['name' => 'keywords', 'content' => $this->params['meta_keywords'] ?? '']);
$this->registerLinkTag(['rel' => 'icon', 'type' => 'image/x-icon', 'href' => Yii::getAlias('@web/favicon.ico')]);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">

<head>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>

<body class="d-flex flex-column h-100">
    <?php $this->beginBody() ?>

    <header id="header">
        <?php
        NavBar::begin([
            'brandLabel' => Yii::$app->name,
            'brandUrl' => Yii::$app->homeUrl,
            'options' => ['class' => 'navbar-expand-md navbar-dark bg-dark fixed-top']
        ]);
        echo Nav::widget([
            'options' => ['class' => 'navbar-nav'],
            'items' => [
                ['label' => 'Inicio', 'url' => ['/site/index']],
                ['label' => 'Sumar', 'url' => ['/site/suma']],
                ['label' => 'Restar', 'url' => ['/site/resta']],
                ['label' => 'Multiplicar', 'url' => ['/site/producto']],
                ['label' => 'Divivir', 'url' => ['/site/division']],
                ['label' => 'Todas las operaciones', 'url' => ['/site/operaciones']],
            ]
        ]);
        NavBar::end();
        ?>
    </header>

    <main id="main" class="flex-shrink-0" role="main">
        <div class="container">
            <?php if (!empty($this->params['breadcrumbs'])) : ?>
                <?= Breadcrumbs::widget(['links' => $this->params['breadcrumbs']]) ?>
            <?php endif ?>
            <?= Alert::widget() ?>
            <?= $content ?>
        </div>
    </main>

    <footer id="footer" class="mt-auto py-3 bg-light">
        <div class="container">
            <div class="row text-muted">
                <div class="col-md-6 text-center text-md-start">&copy; My Company <?= date('Y') ?></div>
                <div class="col-md-6 text-center text-md-end"><?= Yii::powered() ?></div>
            </div>
        </div>
    </footer>

    <?php $this->endBody() ?>
</body>

</html>
<?php $this->endPage() ?>

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/** @var yii\web\View $this */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron text-center bg-transparent mt-5 mb-5">
        <h1 class="display-4">Formularios con operaciones</h1>


    </div>

</div>

views/site/multiplicar.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Operaciones $model */
/** @var ActiveForm $form */
?>
<div class="site-multiplicar">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'numero1') ?>
    <?= $form->field($model, 'numero2') ?>


    <div class="form-group">
        <?= Html::submitButton($labelBoton, ['class' => 'btn btn-primary']) ?>
    </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-multiplicar -->

views/site/multiplicarydividir.php
<?php

use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Operaciones $model */
/** @var ActiveForm $form */
?>
<div class="site-multiplicar">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'numero1', ['inputOptions' => ['value' => $model->numero1]]) ?>
    <?= $form->field($model, 'numero2', ['inputOptions' => ['value' => $model->numero2]]) ?>
    <?php
    if ($c == 0) {
        echo $form->field($model, 'Producto', ['inputOptions' => ['value' => $model->producto()]]);
    } else {
        echo $form->field($model, 'División', ['inputOptions' => ['value' => $model->division()]]);
    }
    ?>


    <?php ActiveForm::end(); ?>

</div><!-- site-multiplicar -->

views/site/operaciones.php
<?php

use yii\widgets\DetailView;

echo DetailView::widget([
    'model' => $model,
    'attributes' => [
        'numero1',
        'numero2',
        [
            'label' => 'Suma',
            'value' => $model->sumar()
        ],
        [
            'label' => 'Resta',
            'value' => $model->restar()
        ],
        [
            'label' => 'Producto',
            'value' => $model->producto()
        ],
        [
            'label' => 'División',
            'value' => $model->division()
        ],
    ],
]);

views/site/suma.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Operaciones $model */
/** @var ActiveForm $form */

?>
<div class="site-suma">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'numero1')->input('number') ?>
    <?= $form->field($model, 'numero2')->input('number') ?>

    <div class="form-group">
        <?= Html::submitButton($labelBoton, ['class' => 'btn btn-primary']) ?>
    </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-suma -->

views/site/sumayresta.php
<?php

use yii\widgets\DetailView;

echo DetailView::widget([
    'model' => $model,
    'attributes' => [
        'numero1',
        'numero2',
    ]
]);


if ($c == 0) {
?>
    <div>
        El resultado de la suma es: <?= $model->sumar() ?>
    </div>
<?php
} else {
?>
    <div>
        El resultado de la resta es: <?= $model->restar() ?>
    </div>
<?php
}